StoreBay Developers
Billing

Retrieve an invoice

GET
/invoices/{id}

Authorization

AuthorizationBearer <token>

Present an API key (sb_live_… / sb_test_…), an OAuth2 access token, or a static token as a Bearer credential. The operator is implied by the credential; it is never in the path. Only a SHA-256 hash of an API key is stored server-side.

In: header

Path Parameters

id*string

UUIDv7 identifier of the resource.

Formatuuid

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/invoices/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{  "data": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "object": "invoice",    "contact_id": "f245e2a3-e141-4d41-912c-b1c1f5bd5598",    "subscription_id": "aa11a4c2-a467-43db-b413-c4ab0f5cf627",    "agreement_id": "67dd069b-637c-4b8e-8d92-17a313d06fb8",    "site_id": "72771e6a-6f5e-4de4-a5b9-1266c4197811",    "number": "string",    "status": "draft",    "currency": "str",    "subtotal_minor": 0,    "tax_minor": 0,    "total_minor": 0,    "amount_paid_minor": 0,    "amount_due_minor": 0,    "issue_date": "2019-08-24",    "due_date": "2019-08-24",    "period_start": "2019-08-24",    "period_end": "2019-08-24",    "notice_sent_at": "2019-08-24T14:15:22Z",    "paid_at": "2019-08-24T14:15:22Z",    "voided_at": "2019-08-24T14:15:22Z",    "created_at": "2019-08-24T14:15:22Z",    "updated_at": "2019-08-24T14:15:22Z"  }}
{  "error": {    "code": "unauthorized",    "message": "Missing or invalid credential."  }}
{  "error": {    "code": "insufficient_scope",    "message": "The credential lacks a scope required by this endpoint."  }}
{  "error": {    "code": "not_found",    "message": "Resource not found."  }}
{  "error": {    "code": "validation_error",    "message": "string",    "details": [      {        "field": "string",        "issue": "string"      }    ]  }}